Skip to main content

Dashboard

Messages history

Get organization message history

GET https://a.loopmessage.com/api/v1/audience/messages/{contact}/?page=1&per_page=20&sort_by=desc

Headers

NameTypeDescription
Authorization*StringAPI Key. Required*.
Content-Type*Stringapplication/json

Path parameter

NameTypeDescription
contact*StringRequired. Email address or phone number of the contact to delete. Phone number must be in the international format (include country code and start with +, for example: +13231112233)

Query parameters

NameTypeDescription
pageIntegerThe current page of the paginated request. Default: 1.
per_pageIntegerThe number of items to be returned for a specific page. Default: 20. Max value: 1000.
sort_byStringPossible values: asc or desc. Default: desc.
from_dateStringYYYY-MM-DD format date. For example: 2010-12-31.
to_dateStringYYYY-MM-DD format date. For example: 2010-12-31.
directionStringPossible values: inbound, outbound
typeStringPossible values: text, audio, attachments, sticker, location, opt_in

Response

{
  "page": 1,
  "num_pages": 1,
  "per_page": 20,
  "count": 1,
  "status": "unsubscribed",
  "items": [
    {
      "id": "uuid",
      "create_date": "iso8 format date",
      "channel": "imessage",
      "direction": "outbound",
      "language": "EN",
      "type": "text",
      "text": "string"
    }
  ]
}